File.open("test.txt", "r") do |f|
  lines = f.readlines
  lines.each { |line| puts line }
end

File.open("test.txt", "r") do |f|
  while line = f.gets
    puts line
  end
end

# Think about how these run: what's the performance difference between the two of them?
